## net.i2p.router
Class RouterDoSThrottle

    java.lang.Object
      net.i2p.router.RouterThrottleImpl
          net.i2p.router.RouterDoSThrottle

All Implemented Interfaces:
  RouterThrottle

     class RouterDoSThrottle

extends RouterThrottleImpl

Minor extention of the router throttle to handle some DoS events and throttle accordingly.

Field Summary

Fields inherited from class net.i2p.router.RouterThrottleImpl
`TUNNEL_ACCEPT`

Constructor Summary
`RouterDoSThrottle(RouterContext context)`

Method Summary
`boolean` `acceptNetDbLookupRequest(Hash key)` Should we accept the netDb lookup message, replying either with the value or some closer peers, or should we simply drop it due to overload?

Methods inherited from class net.i2p.router.RouterThrottleImpl
`acceptNetworkMessage, acceptTunnelRequest, getContext, getInboundRateDelta, getMessageDelay, getTunnelLag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouterDoSThrottle

    public RouterDoSThrottle(RouterContext context)

Method Detail

### acceptNetDbLookupRequest

    public boolean acceptNetDbLookupRequest(Hash key)

  Description copied from interface: `RouterThrottle`
  Should we accept the netDb lookup message, replying either with the value or some closer peers, or should we simply drop it due to overload?

  Specified by:
    `acceptNetDbLookupRequest` in interface `RouterThrottle`
  Overrides:
    `acceptNetDbLookupRequest` in class `RouterThrottleImpl`